跳转到主要内容

Endpoint

POST /v1/qwen/tts
分组: 语音合成

Headers

  • Authorization: 可选 示例: Bearer xxx

Request example

"{\r\n    \"model\": \"qwen-tts\",\r\n    \"input\": {\r\n        \"text\": \"那我来给大家推荐一款T恤,这款呢真的是超级好看,这个颜色呢很显气质,而且呢也是搭配的绝佳单品,大家可以闭眼入,真的是非常好看,对身材的包容性也很好,不管啥身材的宝宝呢,穿上去都是很好看的。推荐宝宝们下单哦。\",\r\n        \"voice\": \"Chelsie\", //支持音色Cherry、Serena、Ethan、Chelsie、Dylan、Jada、Sunny\r\n    }\r\n}"

Responses

  • 200: 成功

OpenAPI specification

openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/qwen/tts:
    post:
      summary: 千问tts
      deprecated: false
      description: ''
      tags:
        - 语音合成
      parameters:
        - name: Authorization
          in: header
          description: ''
          required: false
          example: Bearer xxx
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: string
            example: "{\r\n    \"model\": \"qwen-tts\",\r\n    \"input\": {\r\n        \"text\": \"那我来给大家推荐一款T恤,这款呢真的是超级好看,这个颜色呢很显气质,而且呢也是搭配的绝佳单品,大家可以闭眼入,真的是非常好看,对身材的包容性也很好,不管啥身材的宝宝呢,穿上去都是很好看的。推荐宝宝们下单哦。\",\r\n        \"voice\": \"Chelsie\", //支持音色Cherry、Serena、Ethan、Chelsie、Dylan、Jada、Sunny\r\n    }\r\n}"
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  output:
                    type: object
                    properties:
                      finish_reason:
                        type: string
                      audio:
                        type: object
                        properties:
                          expires_at:
                            type: integer
                          data:
                            type: string
                          id:
                            type: string
                          url:
                            type: string
                        required:
                          - expires_at
                          - data
                          - id
                          - url
                        x-apifox-orders:
                          - expires_at
                          - data
                          - id
                          - url
                    required:
                      - finish_reason
                      - audio
                    x-apifox-orders:
                      - finish_reason
                      - audio
                  usage:
                    type: object
                    properties:
                      input_tokens_details:
                        type: object
                        properties:
                          text_tokens:
                            type: integer
                        required:
                          - text_tokens
                        x-apifox-orders:
                          - text_tokens
                      total_tokens:
                        type: integer
                      output_tokens:
                        type: integer
                      input_tokens:
                        type: integer
                      output_tokens_details:
                        type: object
                        properties:
                          audio_tokens:
                            type: integer
                          text_tokens:
                            type: integer
                        required:
                          - audio_tokens
                          - text_tokens
                        x-apifox-orders:
                          - audio_tokens
                          - text_tokens
                    required:
                      - input_tokens_details
                      - total_tokens
                      - output_tokens
                      - input_tokens
                      - output_tokens_details
                    x-apifox-orders:
                      - input_tokens_details
                      - total_tokens
                      - output_tokens
                      - input_tokens
                      - output_tokens_details
                  request_id:
                    type: string
                required:
                  - output
                  - usage
                  - request_id
                x-apifox-orders:
                  - output
                  - usage
                  - request_id
              example:
                output:
                  finish_reason: stop
                  audio:
                    expires_at: 1745053690
                    data: ''
                    id: audio_1028b3b5-5320-9a75-b3fb-f0bcba2a390d
                    url: >-
                      http://dashscope-result-wlcb.oss-cn-wulanchabu.aliyuncs.com/1d/8b/20250418/2413932e/af45d651-f632-4c4a-91d5-59077447adcc.wav?Expires=1745053690&OSSAccessKeyId=xxx&Signature=wntwl%xxx%3D
                usage:
                  input_tokens_details:
                    text_tokens: 76
                  total_tokens: 1158
                  output_tokens: 1082
                  input_tokens: 76
                  output_tokens_details:
                    audio_tokens: 1082
                    text_tokens: 0
                request_id: 1028b3b5-5320-9a75-b3fb-f0bcba2a390d
          headers: {}
          x-apifox-name: 成功
      security: []
      x-apifox-folder: 语音合成
      x-apifox-status: released
      x-run-in-apifox: https://app.apifox.com/web/project/5443699/apis/api-330568601-run
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []